edu.isi.pegasus.planner.dax

## Class MetaData

- java.lang.Object
- - edu.isi.pegasus.planner.dax.MetaData

    public class MetaData
    extends java.lang.Object

Metadata object for the DAX API

Version:
  $Revision$
Author:
  gmehta

### Field Summary

Fields
`protected java.lang.String` `mKey` Metadata Key
`protected java.lang.String` `mType` Metadata type
`protected java.lang.String` `mValue` Metadata value

### Constructor Summary

Constructors
Constructor and Description
`MetaData(MetaData m)` Copy constructor
`MetaData(java.lang.String type, java.lang.String key)` Create a new Metadata object
`MetaData(java.lang.String type, java.lang.String key, java.lang.String value)` Create a new Metadata object

### Method Summary

All Methods Instance Methods Concrete Methods
`MetaData` `clone()` Create a copy of this Metdata Object
`java.lang.String` `getKey()` Get the key of this metadata object
`java.lang.String` `getType()` Get the type of the metdata object
`java.lang.String` `getValue()` Get the value of the metdata object
`MetaData` `setValue(java.lang.String value)` Set the value of the metadata
`void` `toXML(XMLWriter writer)`
`void` `toXML(XMLWriter writer, int indent)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mKey

    protected java.lang.String mKey

Metadata Key

#### mType

    protected java.lang.String mType

Metadata type

#### mValue

    protected java.lang.String mValue

Metadata value

### Constructor Detail

#### MetaData

    public MetaData(MetaData m)

Copy constructor

Parameters:
  `m` -

#### MetaData

    public MetaData(java.lang.String type,
                    java.lang.String key)

Create a new Metadata object

Parameters:
  `type` -
  `key` -

#### MetaData

    public MetaData(java.lang.String type,
                    java.lang.String key,
                    java.lang.String value)

Create a new Metadata object

Parameters:
  `type` -
  `key` -
  `value` -

### Method Detail

#### clone

    public MetaData clone()

Create a copy of this Metdata Object

Overrides:
  `clone` in class `java.lang.Object`
Returns:

#### setValue

    public MetaData setValue(java.lang.String value)

Set the value of the metadata

Parameters:
  `value` -
Returns:

#### getKey

    public java.lang.String getKey()

Get the key of this metadata object

Returns:

#### getType

    public java.lang.String getType()

Get the type of the metdata object

Returns:

#### getValue

    public java.lang.String getValue()

Get the value of the metdata object

Returns:

#### toXML

    public void toXML(XMLWriter writer)

#### toXML

    public void toXML(XMLWriter writer,
                      int indent)